Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.binary
Class EmptyBinaryValue

    java.lang.Object
      org.modeshape.jcr.value.binary.AbstractBinary
          org.modeshape.jcr.value.binary.EmptyBinaryValue

All Implemented Interfaces:
  Serializable, Comparable<BinaryValue>, Binary, BinaryValue

    @Immutable
    public final class EmptyBinaryValue

extends AbstractBinary

An empty `BinaryValue` value.

See Also:
  Serialized Form

Field Summary
`static BinaryValue` | `INSTANCE`

Fields inherited from class org.modeshape.jcr.value.binary.AbstractBinary
`EMPTY_CONTENT`

Method Summary
`int` | `compareTo(BinaryValue other)`
`String` | `getMimeType()`
`String` | `getMimeType(String name)`
`long` | `getSize()` Get the length of this binary data.
`InputStream` | `getStream()`

Methods inherited from class org.modeshape.jcr.value.binary.AbstractBinary
`dispose, equals, getHash, getHexHash, getKey, getReadableSize, hashCode, keyFor, read, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final BinaryValue INSTANCE

Method Detail

### compareTo

    public int compareTo(BinaryValue other)

  Specified by:
    `compareTo` in interface `Comparable<BinaryValue>`
  Overrides:
    `compareTo` in class `AbstractBinary`

### getSize

    public long getSize()

  Description copied from interface: `BinaryValue`
  Get the length of this binary data.

  Note that this method, unlike the standard `Binary.getSize()` method, does not throw an exception.

  Returns:
    the number of bytes in this binary data

### getStream

    public InputStream getStream()

### getMimeType

    public String getMimeType()

### getMimeType

    public String getMimeType(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.